<?php
/**
 * $Horde: accounts/main.php,v 1.20 2005/01/03 14:34:44 jan Exp $
 *
 * Copyright 2001-2005 Eric Rostetter <eric.rostetter@physics.utexas.edu>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsdl.php.
 */

@define('ACCOUNTS_BASE', dirname(__FILE__));
require_once ACCOUNTS_BASE . '/lib/base.php';

// Create the accounts driver.
require_once ACCOUNTS_BASE . '/config/conf.php';
require_once ACCOUNTS_BASE . '/lib/Driver.php';
$mydriver = &Accounts_Driver::factory();

if ($mydriver === false) {
    $notification->push(_("Accounts is not properly configured"),
                        'horde.error');
}

// Check for password status.
$status = $mydriver->checkPasswordStatus();
if (is_a($status,'PEAR_Error')) {
    $notification->push($status,'horde.error');
} elseif ($status) {
    $notification->push($status,'horde.warning');
}

$title = _("My Account Information");
require ACCOUNTS_TEMPLATES . '/common-header.inc';
require ACCOUNTS_TEMPLATES . '/main/main.inc';
require $registry->get('templates', 'horde') . '/common-footer.inc';
